## MMObject MMObject — Generic object representing a modem in ModemManager |

## Functions

const gchar * | mm_object_get_path ()
gchar * | mm_object_dup_path ()
MMModem * | mm_object_peek_modem ()
MMModem * | mm_object_get_modem ()
MMModem3gpp * | mm_object_peek_modem_3gpp ()
MMModem3gpp * | mm_object_get_modem_3gpp ()
MMModem3gppProfileManager * | mm_object_peek_modem_3gpp_profile_manager ()
MMModem3gppProfileManager * | mm_object_get_modem_3gpp_profile_manager ()
MMModem3gppUssd * | mm_object_peek_modem_3gpp_ussd ()
MMModem3gppUssd * | mm_object_get_modem_3gpp_ussd ()
MMModemCdma * | mm_object_peek_modem_cdma ()
MMModemCdma * | mm_object_get_modem_cdma ()
MMModemCellBroadcast * | mm_object_peek_modem_cell_broadcast ()
MMModemCellBroadcast * | mm_object_get_modem_cell_broadcast ()
MMModemLocation * | mm_object_peek_modem_location ()
MMModemLocation * | mm_object_get_modem_location ()
MMModemMessaging * | mm_object_peek_modem_messaging ()
MMModemMessaging * | mm_object_get_modem_messaging ()
MMModemTime * | mm_object_peek_modem_time ()
MMModemTime * | mm_object_get_modem_time ()
MMModemFirmware * | mm_object_peek_modem_firmware ()
MMModemFirmware * | mm_object_get_modem_firmware ()
MMModemOma * | mm_object_peek_modem_oma ()
MMModemOma * | mm_object_get_modem_oma ()
MMModemSimple * | mm_object_peek_modem_simple ()
MMModemSimple * | mm_object_get_modem_simple ()
MMModemSignal * | mm_object_peek_modem_signal ()
MMModemSignal * | mm_object_get_modem_signal ()
MMModemVoice * | mm_object_peek_modem_voice ()
MMModemVoice * | mm_object_get_modem_voice ()
MMModemSar * | mm_object_peek_modem_sar ()
MMModemSar * | mm_object_get_modem_sar ()

## Types and Values

struct | MMObject

## Object Hierarchy

        GObject
        ╰── GDBusObjectProxy
            ╰── MmGdbusObjectProxy
                ╰── MMObject

## Implemented Interfaces

MMObject implements GDBusObject and MmGdbusObject.

## Description

The MMObject is a generic object which represents any kind of modem exposed in ModemManager, and allows accessing the exported interfaces one by one.

When this object is available, it is ensured that at least the Modem interface is also available.

## Functions

### mm_object_get_path ()

    const gchar *
    mm_object_get_path (MMObject *self);

Gets the DBus path of the MMObject object.

[skip]

#### Parameters

self | A MMObject. |

#### Returns

The DBus path of the MMObject object.

[transfer none]

Since: 1.0

### mm_object_dup_path ()

    gchar *
    mm_object_dup_path (MMObject *self);

Gets a copy of the DBus path of the MMObject object.

#### Parameters

self | A MMObject. |

#### Returns

The DBus path of the MMObject. The returned value should be freed with `g_free()`.

[transfer full]

Since: 1.0

### mm_object_peek_modem ()

    MMModem *
    mm_object_peek_modem (MMObject *self);

Like `mm_object_get_modem()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the MMManager is running.

[skip]

#### Parameters

self | A MMObject. |

#### Returns

A MMModem or `NULL` if `self` does not implement the interface. Do not free the returned object, it is owned by `self` .

[transfer none]

Since: 1.0

### mm_object_get_modem ()

    MMModem *
    mm_object_get_modem (MMObject *self);

Gets the MMModem instance for the D-Bus interface org.freedesktop.ModemManager1.Modem on `self` , if any.

#### Parameters

self | A MMModem |

#### Returns

A MMModem that must be freed with `g_object_unref()` or `NULL` if `self` does not implement the interface.

[transfer full]

Since: 1.0

### mm_object_peek_modem_3gpp ()

    MMModem3gpp *
    mm_object_peek_modem_3gpp (MMObject *self);

Like `mm_object_get_modem_3gpp()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the MMManager is running.

[skip]

#### Parameters

self | A MMObject. |

#### Returns

A MMModem3gpp or `NULL` if `self` does not implement the interface. Do not free the returned object, it is owned by `self` .

[transfer none]

Since: 1.0

### mm_object_get_modem_3gpp ()

    MMModem3gpp *
    mm_object_get_modem_3gpp (MMObject *self);

Gets the MMModem3gpp instance for the D-Bus interface org.freedesktop.ModemManager1.Modem.Modem3gpp on `self` , if any.

#### Parameters

self | A MMObject. |

#### Returns

A MMModem3gpp that must be freed with `g_object_unref()` or `NULL` if `self` does not implement the interface.

[transfer full]

Since: 1.0

### mm_object_peek_modem_3gpp_profile_manager ()

    MMModem3gppProfileManager *
    mm_object_peek_modem_3gpp_profile_manager
                                   (MMObject *self);

Like `mm_object_get_modem_3gpp_profile_manager()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the MMManager is running.

[skip]

#### Parameters

self | A MMObject. |

#### Returns

A MMModem3gppProfileManager or `NULL` if `self` does not implement the interface. Do not free the returned object, it is owned by `self` .

[transfer none]

Since: 1.18

### mm_object_get_modem_3gpp_profile_manager ()

    MMModem3gppProfileManager *
    mm_object_get_modem_3gpp_profile_manager
                                   (MMObject *self);

Gets the MMModem3gppProfileManager instance for the D-Bus interface org.freedesktop.ModemManager1.Modem.Modem3gpp-ProfileManager on `self` , if any.

#### Parameters

self | A MMObject. |

#### Returns

A MMModem3gppProfileManager that must be freed with `g_object_unref()` or `NULL` if `self` does not implement the interface.

[transfer full]

Since: 1.18

### mm_object_peek_modem_3gpp_ussd ()

    MMModem3gppUssd *
    mm_object_peek_modem_3gpp_ussd (MMObject *self);

Like `mm_object_get_modem_3gpp_ussd()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the MMManager is running.

[skip]

#### Parameters

self | A MMObject. |

#### Returns

A MMModem3gppUssd or `NULL` if `self` does not implement the interface. Do not free the returned object, it is owned by `self` .

[transfer none]

Since: 1.0

### mm_object_get_modem_3gpp_ussd ()

    MMModem3gppUssd *
    mm_object_get_modem_3gpp_ussd (MMObject *self);

Gets the MMModem3gppUssd instance for the D-Bus interface org.freedesktop.ModemManager1.Modem.Modem3gpp-Ussd on `self` , if any.

#### Parameters

self | A MMObject. |

#### Returns

A MMModem3gppUssd that must be freed with `g_object_unref()` or `NULL` if `self` does not implement the interface.

[transfer full]

Since: 1.0

### mm_object_peek_modem_cdma ()

    MMModemCdma *
    mm_object_peek_modem_cdma (MMObject *self);

Like `mm_object_get_modem_cdma()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the MMManager is running.

[skip]

#### Parameters

self | A MMObject. |

#### Returns

A MMModemCdma or `NULL` if `self` does not implement the interface. Do not free the returned object, it is owned by `self` .

[transfer none]

Since: 1.0

### mm_object_get_modem_cdma ()

    MMModemCdma *
    mm_object_get_modem_cdma (MMObject *self);

Gets the MMModemCdma instance for the D-Bus interface org.freedesktop.ModemManager1.Modem.ModemCdma on `self` , if any.

#### Parameters

self | A MMObject. |

#### Returns

A MMModemCdma that must be freed with `g_object_unref()` or `NULL` if `self` does not implement the interface.

[transfer full]

Since: 1.0

### mm_object_peek_modem_cell_broadcast ()

    MMModemCellBroadcast *
    mm_object_peek_modem_cell_broadcast (MMObject *self);

Like `mm_object_get_mm_modem_cell_broadcast()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the MMManager is running.

[skip]

#### Parameters

self | A MMObject. |

#### Returns

A MMModemCellBroadcast or `NULL` if `self` does not implement the interface. Do not free the returned object, it is owned by `self` .

[transfer none]

Since: 1.24

### mm_object_get_modem_cell_broadcast ()

    MMModemCellBroadcast *
    mm_object_get_modem_cell_broadcast (MMObject *self);

Gets the MMModemCellBroadcast instance for the D-Bus interface org.freedesktop.ModemManager1.Modem.ModemCellBroadcast on `self` , if any.

#### Parameters

self | A MMObject. |

#### Returns

A MMModemCellBroadcast that must be freed with `g_object_unref()` or `NULL` if `self` does not implement the interface.

[transfer full]

Since: 1.24

### mm_object_peek_modem_location ()

    MMModemLocation *
    mm_object_peek_modem_location (MMObject *self);

Like `mm_object_get_modem_location()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the MMManager is running.

[skip]

#### Parameters

self | A MMObject. |

#### Returns

A MMModemLocation or `NULL` if `self` does not implement the interface. Do not free the returned object, it is owned by `self` .

[transfer none]

Since: 1.0

### mm_object_get_modem_location ()

    MMModemLocation *
    mm_object_get_modem_location (MMObject *self);

Gets the MMModemLocation instance for the D-Bus interface org.freedesktop.ModemManager1.Modem.Modemlocation on `self` , if any.

#### Parameters

self | A MMObject. |

#### Returns

A MMModemLocation that must be freed with `g_object_unref()` or `NULL` if `self` does not implement the interface.

[transfer full]

Since: 1.0

### mm_object_peek_modem_messaging ()

    MMModemMessaging *
    mm_object_peek_modem_messaging (MMObject *self);

Like `mm_object_get_modem_messaging()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the MMManager is running.

[skip]

#### Parameters

self | A MMObject. |

#### Returns

A MMModemMessaging or `NULL` if `self` does not implement the interface. Do not free the returned object, it is owned by `self` .

[transfer none]

Since: 1.0

### mm_object_get_modem_messaging ()

    MMModemMessaging *
    mm_object_get_modem_messaging (MMObject *self);

Gets the MMModemMessaging instance for the D-Bus interface org.freedesktop.ModemManager1.Modem.Modemmessaging on `self` , if any.

#### Parameters

self | A MMObject. |

#### Returns

A MMModemMessaging that must be freed with `g_object_unref()` or `NULL` if `self` does not implement the interface.

[transfer full]

Since: 1.0

### mm_object_peek_modem_time ()

    MMModemTime *
    mm_object_peek_modem_time (MMObject *self);

Like `mm_object_get_modem_time()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the MMManager is running.

[skip]

#### Parameters

self | A MMObject. |

#### Returns

A MMModemTime or `NULL` if `self` does not implement the interface. Do not free the returned object, it is owned by `self` .

[transfer none]

Since: 1.0

### mm_object_get_modem_time ()

    MMModemTime *
    mm_object_get_modem_time (MMObject *self);

Gets the MMModemTime instance for the D-Bus interface org.freedesktop.ModemManager1.Modem.Time on `self` , if any.

#### Parameters

self | A MMObject. |

#### Returns

A MMModemTime that must be freed with `g_object_unref()` or `NULL` if `self` does not implement the interface.

[transfer full]

Since: 1.0

### mm_object_peek_modem_firmware ()

    MMModemFirmware *
    mm_object_peek_modem_firmware (MMObject *self);

Like `mm_object_get_modem_firmware()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the MMManager is running.

[skip]

#### Parameters

self | A MMObject. |

#### Returns

A MMModemFirmware or `NULL` if `self` does not implement the interface. Do not free the returned object, it is owned by `self` .

[transfer none]

Since: 1.0

### mm_object_get_modem_firmware ()

    MMModemFirmware *
    mm_object_get_modem_firmware (MMObject *self);

Gets the MMModemFirmware instance for the D-Bus interface org.freedesktop.ModemManager1.Modem.Firmware on `self` , if any.

#### Parameters

self | A MMObject. |

#### Returns

A MMModemFirmware that must be freed with `g_object_unref()` or `NULL` if `self` does not implement the interface.

[transfer full]

Since: 1.0

### mm_object_peek_modem_oma ()

    MMModemOma *
    mm_object_peek_modem_oma (MMObject *self);

Like `mm_object_get_modem_oma()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the MMManager is running.

[skip]

#### Parameters

self | A MMObject. |

#### Returns

A MMModemOma or `NULL` if `self` does not implement the interface. Do not free the returned object, it is owned by `self` .

[transfer none]

Since: 1.2

### mm_object_get_modem_oma ()

    MMModemOma *
    mm_object_get_modem_oma (MMObject *self);

Gets the MMModemOma instance for the D-Bus interface org.freedesktop.ModemManager1.Modem.Oma on `self` , if any.

#### Parameters

self | A MMObject. |

#### Returns

A MMModemOma that must be freed with `g_object_unref()` or `NULL` if `self` does not implement the interface.

[transfer full]

Since: 1.2

### mm_object_peek_modem_simple ()

    MMModemSimple *
    mm_object_peek_modem_simple (MMObject *self);

Like `mm_object_get_modem_simple()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the MMManager is running.

[skip]

#### Parameters

self | A MMObject. |

#### Returns

A MMModemSimple or `NULL` if `self` does not implement the interface. Do not free the returned object, it is owned by `self` .

[transfer none]

Since: 1.0

### mm_object_get_modem_simple ()

    MMModemSimple *
    mm_object_get_modem_simple (MMObject *self);

Gets the MMModemSimple instance for the D-Bus interface org.freedesktop.ModemManager1.Modem.Modemsimple on `self` , if any.

#### Parameters

self | A MMObject. |

#### Returns

A MMModemSimple that must be freed with `g_object_unref()` or `NULL` if `self` does not implement the interface.

[transfer full]

Since: 1.0

### mm_object_peek_modem_signal ()

    MMModemSignal *
    mm_object_peek_modem_signal (MMObject *self);

Like `mm_object_get_modem_signal()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the MMManager is running.

[skip]

#### Parameters

self | A MMObject. |

#### Returns

A MMModemSignal or `NULL` if `self` does not implement the interface. Do not free the returned object, it is owned by `self` .

[transfer none]

Since: 1.2

### mm_object_get_modem_signal ()

    MMModemSignal *
    mm_object_get_modem_signal (MMObject *self);

Gets the MMModemSignal instance for the D-Bus interface org.freedesktop.ModemManager1.Modem.Signal on `self` , if any.

#### Parameters

self | A MMObject. |

#### Returns

A MMModemSignal that must be freed with `g_object_unref()` or `NULL` if `self` does not implement the interface.

[transfer full]

Since: 1.2

### mm_object_peek_modem_voice ()

    MMModemVoice *
    mm_object_peek_modem_voice (MMObject *self);

Like `mm_object_get_modem_voice()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the MMManager is running.

[skip]

#### Parameters

self | A MMObject. |

#### Returns

A MMModemVoice or `NULL` if `self` does not implement the interface. Do not free the returned object, it is owned by `self` .

[transfer none]

Since: 1.6

### mm_object_get_modem_voice ()

    MMModemVoice *
    mm_object_get_modem_voice (MMObject *self);

Gets the MMModemVoice instance for the D-Bus interface org.freedesktop.ModemManager1.Modem.Modemvoice on `self` , if any.

#### Parameters

self | A MMObject. |

#### Returns

A MMModemVoice that must be freed with `g_object_unref()` or `NULL` if `self` does not implement the interface.

[transfer full]

Since: 1.6

### mm_object_peek_modem_sar ()

    MMModemSar *
    mm_object_peek_modem_sar (MMObject *self);

Like `mm_object_get_modem_sar()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the MMManager is running.

[skip]

#### Parameters

self | A MMObject. |

#### Returns

A MMModemSar or `NULL` if `self` does not implement the interface. Do not free the returned object, it is owned by `self` .

[transfer none]

Since: 1.20

### mm_object_get_modem_sar ()

    MMModemSar *
    mm_object_get_modem_sar (MMObject *self);

Gets the MMModemSar instance for the D-Bus interface org.freedesktop.ModemManager1.Modem.Sar on `self` , if any.

#### Parameters

self | A MMObject. |

#### Returns

A MMModemSar that must be freed with `g_object_unref()` or `NULL` if `self` does not implement the interface.

[transfer full]

Since: 1.20

## Types and Values

### struct MMObject

    struct MMObject;

The MMObject structure contains private data and should only be accessed using the provided API.